Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005762OCamlOCaml backend (code generation)public2012-09-20 15:592012-11-06 18:04
Reporterchambart 
Assigned Tolefessan 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.00.0 
Target VersionFixed in Version4.01.0+dev 
Summary0005762: Add primitives for fast access to bigarray dimensions
DescriptionBigarray.Array1.dim is a generic C function that may be called a lot when doing IO using bigarrays. It is a lot slower than what can be done directly in cmm.

I provide a patch to add the primitives for Array1,Array2 and Array3 modules.

The loop:

for i = 0 to n do
  ignore (Array1.dim a);
done

is close to 10 times faster with the patch.
TagsNo tags attached.
Attached Files? file icon patch [^] (8,550 bytes) 2012-09-20 15:59 [Show Content]
? file icon patch2 [^] (9,502 bytes) 2012-09-24 12:41 [Show Content]

- Relationships

-  Notes
(0008150)
chambart (developer)
2012-09-24 12:42

I forgot to record bytecomp/bytegen.ml in the first patch
(0008433)
lefessan (developer)
2012-11-06 18:04

Committed in trunk as r13069.

- Issue History
Date Modified Username Field Change
2012-09-20 15:59 chambart New Issue
2012-09-20 15:59 chambart File Added: patch
2012-09-24 12:41 chambart File Added: patch2
2012-09-24 12:42 chambart Note Added: 0008150
2012-09-29 22:40 doligez Status new => acknowledged
2012-11-06 18:03 lefessan Assigned To => lefessan
2012-11-06 18:03 lefessan Status acknowledged => assigned
2012-11-06 18:04 lefessan Note Added: 0008433
2012-11-06 18:04 lefessan Status assigned => resolved
2012-11-06 18:04 lefessan Fixed in Version => 4.01.0+dev
2012-11-06 18:04 lefessan Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker